# $Revision: 1.25 $, $Date: 2006/04/24 09:01:50 $
Summary:	Alarm Pinger - network monitor with mail notification
Summary(pl):	Alarm Pinger - monitor sieci z powiadamianiem poczt
Name:		apinger
Version:	0.6.1
Release:	5
License:	GPL
Group:		Networking/Utilities
Source0:	http://www.bnet.pl/~jajcus/apinger/%{name}-%{version}.tar.gz
# Source0-md5:	3505e6503ec06363613f16713501bb33
Source1:	%{name}.init
Source2:	%{name}.sysconf
Patch0:		%{name}-user.patch
Patch1:		%{name}-avg_delay.patch
Patch2:		%{name}-config_overwrite_fix.patch
Patch3:		%{name}-rrd_timestamp.patch
URL:		http://www.bnet.pl/~jajcus/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Alarm Pinger is a little tool which monitors various IP devices by
simple ICMP echo requests. There are various other tools, that can do
this, but most of them are shell or Perl scripts, spawning many
processes, thus much CPU-expensive, especially when one wants
continuous monitoring and fast response on target failure. Alarm
Pinger is a single process written in C, so it doesn't need much CPU
power even when monitoring many targets with frequent probes. Alarm
Pinger supports both IPv4 and IPv6.

%description -l pl
Alarm Pinger to mae narzdzie monitorujce rne urzdzenia IP
wykorzystujc pakiety ICMP echo request/reply (tzw. ping). S rne
inne narzdzia, ktre to potrafi, ale wikszo z nich to skrypty
shella lub Perla uruchamiajce wiele procesw, przez co mocno
obciajce maszyn, szczeglnie gdy kto chce cigego monitorowania
i szybkiej informacji o awarii. Alarm Pinger to pojedynczy proces
napisany w C, wic nie wymaga wielkiej mocy obliczeniowej, nawet gdy
bada wiele urzdze czstymi pingami. Alarm Pinger obsuguje zarwno
IPv4 jak i IPv6.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install src/%{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add apinger
%service apinger restart

%preun
if [ "$1" = "0" ]; then
	%service apinger stop
	/sbin/chkconfig --del apinger
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS TODO README doc/FAQ.html
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) %config(noreplace) /etc/rc.d/init.d/apinger
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/apinger
%attr(640,root,daemon) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apinger.spec,v $
Revision 1.25  2006/04/24 09:01:50  jajcus
- Release: 5
- patch added to fix big configuration file parsing
- patch added to pass update timestamps to rrdtool
- avg_dealy patch actually applied

Revision 1.24  2006/03/24 07:45:35  jajcus
- fix for average delay measurement by Krzysztof Mocicki

Revision 1.23  2006/02/24 15:20:04  glen
- use %service

Revision 1.22  2005/07/07 16:53:51  darekr
- gpm-friendly Source0

Revision 1.21  2004/10/25 11:47:23  paladine
- "Perl" unifications

Revision 1.20  2004/08/10 17:45:22  averne
- rel 3

Revision 1.19  2003/08/06 16:13:03  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.18  2003/07/29 14:17:58  qboosh
- added missing Requires(): chkconfig or PreReq: rc-scripts

Revision 1.17  2003/07/07 04:23:49  blues
- many small fixes, inspired by kloczek

Revision 1.16  2003/06/06 12:19:19  qboosh
- updated feedback address

Revision 1.15  2003/05/26 16:24:34  malekith
- massive attack: adding Source-md5

Revision 1.14  2003/05/25 05:45:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/04/22 11:12:03  undefine
- some fixes in apinger.init
- release 2
- stbr

Revision 1.12  2003/03/26 13:16:06  jajcus
- Version: 1.6.1

Revision 1.11  2002/12/20 10:42:11  jajcus
- Version: 0.6

Revision 1.10  2002/10/15 11:27:56  jajcus
- Version: 0.5

Revision 1.9  2002/09/26 09:44:23  jajcus
- Version: 0.4.1

Revision 1.8  2002/09/26 08:45:54  jajcus
- Version: 0.4

Revision 1.7  2002/07/26 05:54:35  jajcus
- nasty cut&paste bug fixed (s/named/apinger/)

Revision 1.6  2002/07/19 15:48:23  jajcus
- Version: 0.3

Revision 1.5  2002/07/17 09:45:59  jajcus
- don't use autoconf/automake. This will not work with autoconf/automake versions available in Ra

Revision 1.4  2002/07/16 17:54:19  jajcus
- Version: 0.2

Revision 1.3  2002/07/13 16:12:25  jajcus
- missing automake call added

Revision 1.2  2002/07/12 10:07:50  qboosh
- adapterized, pl fix

Revision 1.1  2002/07/12 08:53:28  jajcus
- new spec
